
#include <Wire.h>
#include <SPI.h>
#include <MFRC522.h>
#include <LiquidCrystal_I2C.h>
constexpr uint8_t RST_PIN = 9;     
constexpr uint8_t SS_PIN = 10;     
MFRC522 mfrc522(SS_PIN, RST_PIN);  
LiquidCrystal_I2C lcd(0x3F, 2, 1, 0, 4, 5, 6, 7, 3, POSITIVE);

void setup() {
  lcd.begin(20,4);         
  lcd.backlight();   
  lcd.setCursor(0,0); 
  lcd.print("Inserte un producto");
  delay(1000);
  Serial.begin(9600);                                          
  SPI.begin();                                                 
  mfrc522.PCD_Init();                                             
}

void loop() {
  
  MFRC522::MIFARE_Key key;
  for (byte i = 0; i < 6; i++) key.keyByte[i] = 0xFF;
  byte block;
  byte len;
  MFRC522::StatusCode status;
  if ( ! mfrc522.PICC_IsNewCardPresent()) {
    return;
  }
  if ( ! mfrc522.PICC_ReadCardSerial()) {
    return;
  }
  byte buffer1[18];
  block = 4;
  len = 18;
  status = mfrc522.PCD_Authenticate(MFRC522::PICC_CMD_MF_AUTH_KEY_A, 4, &key, &(mfrc522.uid)); //line 834 of MFRC522.cpp file
  status = mfrc522.MIFARE_Read(block, buffer1, &len);
  byte conv=48;
  for (uint8_t i = 0; i < 10; i++)
  {
    if(conv==buffer1[0])
    {
      conv=i;
      i=11;
    }
    conv++;
  }
  conv=conv-1;
  if(conv==1)
  {
    imp("Oats","Usd: 1.00");   
  }
  if(conv==2)
  {
    imp("Cookies","Usd: 0.40");   
  }
  Serial.println(conv);
  delay(100); 
  lcd.print("Insert a product");
  mfrc522.PICC_HaltA();
  mfrc522.PCD_StopCrypto1();
}
void imp (String b, String c)
{
  lcd.clear();
  lcd.setCursor(0,0); 
  lcd.print("Product:");
  lcd.setCursor(0,1);
  lcd.print(b);
  lcd.setCursor(0,3);
  lcd.print(c);  
  delay(3000);
  lcd.clear();    
}

